YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2026 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
data exchange
    Show the data exchange approval page.getComplete the data exchange approval flow.postCreate a data exchange token.post
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
permissions
    Get permissions granted to an app.get
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
apps
    Get details about a specific app in the Platform.get
Schemas
Transformers
Transformers

permissions

Endpoint

Provides the permissions a user has granted to the calling app.


Get permissions granted to an app.

GET
https://api.youversion.com
/v1/apps/{app_id}/permissions

Returns permissions the authenticated user has already granted to the calling app. Use this endpoint before starting an OAuth permission request when you need to know whether the user has already granted access. The app ID path parameter must match the gateway-injected calling app ID. An empty permissions array means the user has not granted permissions for this app.

Get permissions granted to an app. › path Parameters

app_id
​string · uuid · required

The unique identifier of the app.

Get permissions granted to an app. › Responses

Successful request

permissions
​string[] · required

Permissions the user has granted to the calling app.

Enum values:
highlights
GET/v1/apps/{app_id}/permissions
curl --request GET \ --url https://api.youversion.com/v1/apps/:app_id/permissions
shell
Example Responses
{ "permissions": [ "highlights" ] }
json
application/json

licensesorganizations